<?php

defined('BASEPATH') OR exit('No direct script access allowed');
require APPPATH . '/libraries/REST_Controller.php';

use Restserver\Libraries\REST_Controller;

class Printing extends REST_Controller {

    function __construct($config = 'rest') {
        parent::__construct($config);
        $this->load->model('Printer_Model');
    }

    public function index_get() {
        $branch = $this->get('branch');
        $team = $this->get('team');
        $data = $this->Printer_Model->printingdata((int) $branch, (int) $team);
        $this->response($data, REST_Controller::HTTP_OK);
    }

    public function index_post() {
        $branch = $this->post('branch');
        $team = $this->post('team');
        $data = $this->Printer_Model->printingdata((int) $branch, (int) $team);
        $this->response($data, REST_Controller::HTTP_OK);
    }

   

}
